cpw.mods.fml.client.config

## Class DummyConfigElement.DummyListElement<T>

- java.lang.Object
- - cpw.mods.fml.client.config.DummyConfigElement<T>
  - - cpw.mods.fml.client.config.DummyConfigElement.DummyListElement<T>

- All Implemented Interfaces:
    IConfigElement<T>
  Enclosing class:
    DummyConfigElement<T>

      public static class DummyConfigElement.DummyListElement<T>
      extends DummyConfigElement<T>

  This class provides a dummy array-type IConfigElement.

- - ### Property Summary

    - ### Properties inherited from class cpw.mods.fml.client.config.DummyConfigElement

      `isProperty`

  - ### Nested Class Summary

    - ### Nested classes/interfaces inherited from class cpw.mods.fml.client.config.DummyConfigElement

      `DummyConfigElement.DummyCategoryElement<T>, DummyConfigElement.DummyListElement<T>`

  - ### Field Summary

    - ### Fields inherited from class cpw.mods.fml.client.config.DummyConfigElement

      `arrayEntryClass, childElements, configEntryClass, defaultValue, defaultValues, isList, isListFixedLength, isProperty, langKey, maxListLength, maxValue, minValue, name, requiresMcRestart, requiresWorldRestart, type, validStringPattern, validValues, value, values`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `DummyConfigElement.DummyListElement(java.lang.String name, T[] defaultValues, ConfigGuiType type, java.lang.String langKey)`
    `DummyConfigElement.DummyListElement(java.lang.String name, T[] defaultValues, ConfigGuiType type, java.lang.String langKey, boolean isListFixedLength)`
    `DummyConfigElement.DummyListElement(java.lang.String name, T[] defaultValues, ConfigGuiType type, java.lang.String langKey, boolean isListFixedLength, int maxListLength, java.util.regex.Pattern validStringPattern, T minValue, T maxValue)`
    `DummyConfigElement.DummyListElement(java.lang.String name, T[] defaultValues, ConfigGuiType type, java.lang.String langKey, boolean isListFixedLength, int maxListLength, T minValue, T maxValue)`
    `DummyConfigElement.DummyListElement(java.lang.String name, T[] defaultValues, ConfigGuiType type, java.lang.String langKey, boolean isListFixedLength, java.util.regex.Pattern validStringPattern)`
    `DummyConfigElement.DummyListElement(java.lang.String name, T[] defaultValues, ConfigGuiType type, java.lang.String langKey, boolean isListFixedLength, T minValue, T maxValue)`
    `DummyConfigElement.DummyListElement(java.lang.String name, T[] defaultValues, ConfigGuiType type, java.lang.String langKey, int maxListLength)`
    `DummyConfigElement.DummyListElement(java.lang.String name, T[] defaultValues, ConfigGuiType type, java.lang.String langKey, int maxListLength, java.util.regex.Pattern validStringPattern)`
    `DummyConfigElement.DummyListElement(java.lang.String name, T[] defaultValues, ConfigGuiType type, java.lang.String langKey, int maxListLength, T minValue, T maxValue)`
    `DummyConfigElement.DummyListElement(java.lang.String name, T[] defaultValues, ConfigGuiType type, java.lang.String langKey, java.util.regex.Pattern validStringPattern)`
    `DummyConfigElement.DummyListElement(java.lang.String name, T[] defaultValues, ConfigGuiType type, java.lang.String langKey, T minValue, T maxValue)`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `java.lang.Object` | `getDefault()` [Property] Gets this property's default value.
    `DummyConfigElement.DummyListElement` | `setCustomEditListEntryClass(java.lang.Class<? extends GuiEditArrayEntries.IArrayEntry> clazz)`

    - ### Methods inherited from class cpw.mods.fml.client.config.DummyConfigElement

      `get, getArrayEntryClass, getChildElements, getComment, getConfigEntryClass, getDefaults, getLanguageKey, getList, getMaxListLength, getMaxValue, getMinValue, getName, getQualifiedName, getType, getValidationPattern, getValidValues, isDefault, isList, isListLengthFixed, isProperty, requiresMcRestart, requiresWorldRestart, set, set, setArrayEntryClass, setConfigEntryClass, setCustomListEntryClass, setRequiresMcRestart, setRequiresWorldRestart, setToDefault, showInGui`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### DummyConfigElement.DummyListElement

          public DummyConfigElement.DummyListElement(java.lang.String name,
                                             T[] defaultValues,
                                             ConfigGuiType type,
                                             java.lang.String langKey,
                                             boolean isListFixedLength,
                                             int maxListLength,
                                             java.util.regex.Pattern validStringPattern,
                                             T minValue,
                                             T maxValue)

    - #### DummyConfigElement.DummyListElement

          public DummyConfigElement.DummyListElement(java.lang.String name,
                                             T[] defaultValues,
                                             ConfigGuiType type,
                                             java.lang.String langKey)

    - #### DummyConfigElement.DummyListElement

          public DummyConfigElement.DummyListElement(java.lang.String name,
                                             T[] defaultValues,
                                             ConfigGuiType type,
                                             java.lang.String langKey,
                                             boolean isListFixedLength)

    - #### DummyConfigElement.DummyListElement

          public DummyConfigElement.DummyListElement(java.lang.String name,
                                             T[] defaultValues,
                                             ConfigGuiType type,
                                             java.lang.String langKey,
                                             int maxListLength)

    - #### DummyConfigElement.DummyListElement

          public DummyConfigElement.DummyListElement(java.lang.String name,
                                             T[] defaultValues,
                                             ConfigGuiType type,
                                             java.lang.String langKey,
                                             T minValue,
                                             T maxValue)

    - #### DummyConfigElement.DummyListElement

          public DummyConfigElement.DummyListElement(java.lang.String name,
                                             T[] defaultValues,
                                             ConfigGuiType type,
                                             java.lang.String langKey,
                                             boolean isListFixedLength,
                                             T minValue,
                                             T maxValue)

    - #### DummyConfigElement.DummyListElement

          public DummyConfigElement.DummyListElement(java.lang.String name,
                                             T[] defaultValues,
                                             ConfigGuiType type,
                                             java.lang.String langKey,
                                             int maxListLength,
                                             T minValue,
                                             T maxValue)

    - #### DummyConfigElement.DummyListElement

          public DummyConfigElement.DummyListElement(java.lang.String name,
                                             T[] defaultValues,
                                             ConfigGuiType type,
                                             java.lang.String langKey,
                                             boolean isListFixedLength,
                                             int maxListLength,
                                             T minValue,
                                             T maxValue)

    - #### DummyConfigElement.DummyListElement

          public DummyConfigElement.DummyListElement(java.lang.String name,
                                             T[] defaultValues,
                                             ConfigGuiType type,
                                             java.lang.String langKey,
                                             java.util.regex.Pattern validStringPattern)

    - #### DummyConfigElement.DummyListElement

          public DummyConfigElement.DummyListElement(java.lang.String name,
                                             T[] defaultValues,
                                             ConfigGuiType type,
                                             java.lang.String langKey,
                                             boolean isListFixedLength,
                                             java.util.regex.Pattern validStringPattern)

    - #### DummyConfigElement.DummyListElement

          public DummyConfigElement.DummyListElement(java.lang.String name,
                                             T[] defaultValues,
                                             ConfigGuiType type,
                                             java.lang.String langKey,
                                             int maxListLength,
                                             java.util.regex.Pattern validStringPattern)

  - ### Method Detail

    - #### setCustomEditListEntryClass

          public DummyConfigElement.DummyListElement setCustomEditListEntryClass(java.lang.Class<? extends GuiEditArrayEntries.IArrayEntry> clazz)

    - #### getDefault

          public java.lang.Object getDefault()

      Description copied from interface: `IConfigElement`
      [Property] Gets this property's default value. If this element is an array, this method should return a String representation of that array using Arrays.toString()
      Specified by:
        `getDefault` in interface `IConfigElement<T>`
      Overrides:
        `getDefault` in class `DummyConfigElement<T>`